<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'assign', language 'uz', version '2.3'.
 *
 * @package     assign
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addsubmission'] = 'Taqdimnoma qo\'shish';
$string['allowsubmissions'] = 'Foydalanuvchiga ushbu topshiriqqa taqdimnomalarni yuborishni davom ettirishga ruxsat berish.';
$string['allowsubmissionsanddescriptionfromdatesummary'] = 'Topshiriq tafsiloti va taqdimnoma shakli <strong>{$a}</strong> dan boshlab namoyon bo\'ladi';
$string['allowsubmissionsfromdate'] = 'Taqdim etishlarni quyidagi sandan ruxsat berish';
$string['allowsubmissionsfromdate_help'] = 'Agarda yoqib qo\'yilgan bo\'lsa, talabalar ushbu sanadan oldin taqdim eta olmaydilar. Agarda o\'chirib qo\'yilgan bo\'lsa, talabalar xozirgi vaqtdan boshlab taqdim etish imkoniga ega bo\'ladilar.';
$string['allowsubmissionsfromdatesummary'] = 'Ushbu topshiriq taqdimnomalarni <strong>{$a}</strong> dan boshlab qabul qiladi';
$string['allowsubmissionsshort'] = 'Taqdimnomalarni o\'zgartirishga ruxsat berish';
$string['alwaysshowdescription'] = 'Tavsifni har doyim ko\'rsatish';
$string['alwaysshowdescription_help'] = 'Agarda o\'chirib qo\'yilgan bo\'lsa, yuqoridagi Topshiriq Tavsifi talabalarga faqat "Taqdim etishlarni quyidagi sandan ruxsat berishi"dagi sanadan boshlab ko\'rinadi.';
$string['assign:addinstance'] = 'Yangi topshiriqni qo\'shish';
$string['assign:exportownsubmission'] = 'O\'ziga tegishli taqdimnomani eksport qilish';
$string['assign:grade'] = 'Topshiriqlarni baholash';
$string['assign:submit'] = 'Topshiriqlarni muvofiqlashtirish';
$string['assign:view'] = 'Topshiriqlarni ko\'rish';
$string['assignfeedback'] = 'Fikr-mulohazalar plagini';
$string['assignfeedbackpluginname'] = 'Fikr-mulohazalar plagini';
$string['assignmentisdue'] = 'Topshiriq qabul qilinishi muddati';
$string['assignmentmail'] = '{$a->grader} \'{$a->assignment}\' topshirig\'i bo\'yicha  taqdimnomangizga fikr-mulohazalarini qoldirdi.

Siz uni topshiriq taqdimnomangizga birikkan holda ko\'rishingiz mumkin:

    {$a->url}';
$string['assignmentmailsmall'] = '{$a->grader} \'{$a->assignment}\' topshirig\'i bo\'yicha  taqdimnomangizga fikr-mulohazasini qoldirdi. Uni taqdimnomangizga birrikan holda ko\'rishingiz mumkin';
$string['assignmentname'] = 'Topshiriq nomi';
$string['assignmentplugins'] = 'Topshiriq plaginlari';
$string['assignmentsperpage'] = 'Bir sahifada topshiriqlar soni';
$string['assignsubmission'] = 'Taqdim etish plagini';
$string['assignsubmissionpluginname'] = 'Taqdim etish plagini';
$string['availability'] = 'Imkoniyat mavjudligi';
$string['backtoassignment'] = 'Topshiriqqa qaytish';
$string['batchoperationconfirmlock'] = 'Barcha tanlangan taqdimnomalarni blokirovka qilaymi?';
$string['batchoperationconfirmreverttodraft'] = 'Tanlangan taqdimnomalarni xomaki holatga o\'zgartirib qo\'yaymi?';
$string['batchoperationconfirmunlock'] = 'Barcha tanlangan taqdimnomalarni blokirovkadan chiqaraymi?';
$string['batchoperationlock'] = 'taqdimnomalarni blokirovka qilish';
$string['batchoperationreverttodraft'] = 'taqdimnomalarni xomaki holatga qaytarish';
$string['batchoperationsdescription'] = 'Tanlangan(lar) bilan...';
$string['batchoperationunlock'] = 'taqdimnomalarni blokirovkadan chiqarish';
$string['changegradewarning'] = 'Ushbu topshiriqda baholangan taqdimnomalar mavjud va baho o\'zgartirilsa, mavjud baholar atvomatik ravishda qayta hisoblab chiqilmaydi. Agar siz bahoni o\'zgartirishni istasangiz, mavjud taqdimnomalarni qayta baholab chiqishingiz zarur bo\'ladi.';
$string['choosegradingaction'] = 'Baholash amali';
$string['chooseoperation'] = 'Operatsiyani tanlang';
$string['comment'] = 'Taqriz';
$string['configshowrecentsubmissions'] = 'Hamma tasdiqlarni joriy faoliyat hisobotlarida ko\'rishi mumkin';
$string['confirmbatchgradingoperation'] = '{$a->count} talabalar uchun haqiqatan ham {$a->operation} istaysizmi?';
$string['conversionexception'] = 'Topshiriqni konvertatsiya qila olmadim. Istisno bo\'ldi: {$a}.';
$string['couldnotconvertgrade'] = '{$a} foydalanuvchi uchun topshiriq bahosini konvertatsiya qila olmadim.';
$string['couldnotconvertsubmission'] = '{$a} foydalanuvchi uchun topshiriq taqdimnomasini konvertatsiya qila olmadim.';
$string['couldnotcreatecoursemodule'] = 'Kurs modulini yarata olmadim.';
$string['couldnotcreatenewassignmentinstance'] = 'Yangi topshiriq namunasini yarata olmadim.';
$string['couldnotfindassignmenttoupgrade'] = 'Yangilash uchun eski topshiriq namunasini topa olmadim.';
$string['currentgrade'] = 'Baholar jurnalidagi joriy baho';
$string['deleteallsubmissions'] = 'Barcha taqdimnomalarni o\'chirib tashlash';
$string['description'] = 'Tasvirlash (Tavsif)';
$string['downloadall'] = 'Barcha taqdimnomalarni yuklab olish';
$string['duedate'] = 'Topshirishning oxirgi muddati';
$string['duedateno'] = 'Topshirish muddati chegaralanmagan';
$string['duedatereached'] = 'Ushbu topshiriq uchun qabul qilish sanasi o\'tib ketti';
$string['duedatevalidation'] = 'Qabul qilish muddati sanasi taqdim etishlarni ruxsat berish sanasidan keyinroq bo\'lishi kerak.';
$string['editaction'] = 'Amallar...';
$string['editsubmission'] = 'Mening javobimni tahrir qilmoq';
$string['enabled'] = 'Yoqilgan';
$string['errornosubmissions'] = 'Yuklab olishga taqdimnomalar yo\'q';
$string['errorquickgradingvsadvancedgrading'] = 'Xozirgi vaqtda topshiriq uchun ilg\'or baholash ishlatilayotganligi sababli baholar saqlanmadi';
$string['errorrecordmodified'] = 'Baholar saqlanmadi, chunki siz sahifani yuklab olganizdan keyin kimdir bir yoki bir necha yozuvni o\'zgartirdi.';
$string['feedback'] = 'Taqriz';
$string['feedbackavailablehtml'] = '{$a->username} \'<i>{$a->assignment}</i>\' topshirig\'i bo\'yicha taqdimnomangizga fikr-mulohazasini qoldirdi.<br /><br />
Siz uni <a href="{$a->url}">topshiriq taqdimnomangizga</a> birikkan holda ko\'rishingiz mumkin.';
$string['feedbackavailablesmall'] = '{$a->username} {$a->assignment} topshirig\'iga fikr-mulohaza bildirdi';
$string['feedbackavailabletext'] = '{$a->username} \'{$a->assignment}\' topshirig\'i bo\'yicha  taqdimnomangizga fikr-mulohazalarini qoldirdi.

Siz uni topshiriq taqdimnomangizga birikkan holda ko\'rishingiz mumkin:

    {$a->url}';
$string['feedbackplugin'] = 'Fikr-mulohaza plagini';
$string['feedbackpluginforgradebook'] = 'Baholar jurnalida sharhlar qoldiradigan fikr-mulohaza plagini';
$string['feedbackpluginforgradebook_help'] = 'Baholar jurnaliga faqat bitta topshiriq fikr-mulohazasi plagini fikr-mulohaza qoldirishi mumkin.';
$string['feedbackplugins'] = 'Fikr-mulohaza plaginlari.';
$string['feedbacksettings'] = 'Fikr-mulohaza o\'rnatishlari.';
$string['filesubmissions'] = 'Fayl ko\'rinishida taqdimnomalar';
$string['filter'] = 'Filtr';
$string['filternone'] = 'Filtrsiz';
$string['filterrequiregrading'] = 'Baholashni talab etadi';
$string['filtersubmitted'] = 'Javoblar va taqrizlar';
$string['gradeabovemaximum'] = 'Baho {$a} dan pastroq yoki barobar bo\'lishi kerak.';
$string['gradebelowzero'] = 'Baho noldan yuqoriroq yoki barobar bo\'lishi kerak.';
$string['graded'] = 'Baholandi';
$string['gradedby'] = 'Baholadi';
$string['gradedon'] = 'Baholandi';
$string['gradeoutof'] = '{$a} dan baho';
$string['gradeoutofhelp'] = 'Baho';
$string['gradeoutofhelp_help'] = 'Bu yerga talaba taqdimnomasi uchun bahoni kiriting. O\'nli kasrlarni qo\'shishingiz mumkin.';
$string['gradersubmissionupdatedhtml'] = '{$a->username} topshiriqqa yangi javob yubordi(m) <i>{$a->assignment}</i><br /><br />
Ushbu topshiriqqa javob <a href="{$a->url}">saytda joylashgan/a>.';
$string['gradersubmissionupdatedsmall'] = '{$a->username} {$a->assignment} topshirig\'i bo\'yicha taqdimnomani yangiladi.';
$string['gradersubmissionupdatedtext'] = '{$a->username} topshiriqqa yangi javob yubordi(m) \'{$a->assignment}\'Bu topshiriqning javoblari qo\'yidagi manzilga yuborilishi mumkin:{$a->url}';
$string['gradestudent'] = 'Talabani baholash: (ID={$a->id}, FIO={$a->fullname}).';
$string['gradeuser'] = '{$a}ni baholash';
$string['grading'] = 'Baholash';
$string['gradingoptions'] = 'Optsiyalar';
$string['gradingstatus'] = 'Baholash holati';
$string['gradingsummary'] = 'Baholash xulosasi';
$string['hideshow'] = 'Berkitish/Ko\'rsatish';
$string['instructionfiles'] = 'Yo\'riqnoma fayllari';
$string['invalidfloatforgrade'] = 'Berilgan baho tushunarsiz: {$a}';
$string['invalidgradeforscale'] = 'Berilgan baho mazkur shkala uchun noto\'g\'ri';
$string['lastmodifiedgrade'] = 'So\'nggi marta o\'zgartirilgan (baho)';
$string['lastmodifiedsubmission'] = 'So\'nggi marta o\'zgartirilgan (taqdimnoma)';
$string['locksubmissionforstudent'] = 'Talaba (ID={$a->id}, FIO={$a->fullname}) tomonidan taqdimnomalar taqdim etilishini taqiqlash.';
$string['locksubmissions'] = 'Taqdimnomalarni blokirovka qilish';
$string['manageassignfeedbackplugins'] = 'Topshiriqning fikr-mulohazalar plaginini boshqarish';
$string['manageassignsubmissionplugins'] = 'Topshiriqning taqdimnomalar plaginini boshqarish';
$string['messageprovider:assign_notification'] = 'Topshiriq xabarnomalari';
$string['modulename'] = 'Topshiriq';
$string['modulename_help'] = 'Topshiriq faoliyat moduli o’qituvchiga vazifalarni berish, ishlarni yeg’ib olish hamda baholash va fikr-mulohazalarini bildirish imkoniyatini beradi.

Talabalar har qanday raqamli kontentni (fayllarni) taqdim etishlari mumkin, masalan, Word matn tahririda tayyorlangan hujjatlar, elektron jadvallar (Excel), tasvirlar yoki audio va video fayllar. Muqobil yoki qo’shimcha ravishda topshiriq talabalardan matnni to’g’ridan-to’g’ri matn tahririda terishni talab etishi mumkin. Topshiriq talabalarga saytdan tashqari “real dunyo”da bajarishlari kerak bo’lgan topshiriqlarini eslatish uchun ham qo’llanilishi mumkin, masalan san’at asarlari, tegishincha, bu yerda raqamli kontent talab etilmaydi. Talabalar ishni yakka tartibda yoki guruh a’zosi sifatida taqdim etishlari mumkin.

Topshiriqni ko’rib chiqish paytida o’qituvchilar fikr-mulohazalarini qoldirishlari va talabalarning belgi qo’yilgan taqdimnomalari, sharh qoldirilgan hujjatlar yoki og’zaki so’zlangan (audio) fikr-mulohazalar kabi fayllarni yuklashlari mumkin. Topshiriqlar son yoki belgilangan shkaladan yoki rubrika kabi ilg’or baholash uslubidan foydalangan holda baholanishi mumkin. Yakuniy baholar baholar jurnalida qayd etiladi.';
$string['modulename_link'] = 'mod/assignment/view';
$string['modulenameplural'] = 'Topshiriqlar';
$string['mysubmission'] = 'Mening taqdimnomam:';
$string['newsubmissions'] = 'Javob taklif qilish';
$string['nofiles'] = 'Fayllar yo\'q.';
$string['nograde'] = 'Baho yo\'q.';
$string['noonlinesubmissions'] = 'Ushbu topshiriq hech narsani onlayn tarzda taqdim etishingizni talab etmaydi';
$string['nosavebutnext'] = 'Keyingisi';
$string['nosubmission'] = 'Ushbu topshiriqqa hech narsa taqdim etilmagan';
$string['notgraded'] = 'Baholanmagan';
$string['notgradedyet'] = 'Hozircha baholanmagan';
$string['notifications'] = 'Xabarnomalar';
$string['notsubmittedyet'] = 'Javob hozircha yuborilmagan';
$string['nousersselected'] = 'Foydalanuvchilar tanlanmagan';
$string['numberofdraftsubmissions'] = 'Xomakilar';
$string['numberofparticipants'] = 'Ishtirokchilar';
$string['numberofsubmissionsneedgrading'] = 'Baholash talab etiladi';
$string['numberofsubmittedassignments'] = 'Taqdim etilgan';
$string['offline'] = 'Onlayn taqdimnomalar talab etilmaydi';
$string['outlinegrade'] = 'Baho: {$a}';
$string['overdue'] = '<font color="red">Topshiriq kechiktirilgan: {$a}</font>';
$string['page-mod-assign-view'] = 'Topshiriq modulining asosiy va taqdimnoma sahifasi';
$string['page-mod-assign-x'] = 'Topshiriq modulining har qanday sahifasi';
$string['pluginadministration'] = 'Topshiriq boshqaruvi';
$string['pluginname'] = 'Topshiriq';
$string['preventlatesubmissions'] = 'Bajarish muddati tugashi bilan javobni yuborishni taqiqlash';
$string['preventsubmissions'] = 'Ushbu topshiriqqa yana taqdimnomalarni foydalanuvchi tomonidan taqdim etilishini taqiqlab qo\'yish';
$string['preventsubmissionsshort'] = 'Taqdimnoma o\'zgartirilishini taqiqlash';
$string['previous'] = 'Oldingi';
$string['quickgrading'] = 'Tezkor baholash';
$string['quickgrading_help'] = 'Tezkor baholash baholarni (va natijalarni) to\'g\'ridan-to\'g\'ri taqdimnomalar jadvalida qo\'yish imkonini beradi. Tezkor baholashni ilg\'or baholash bilan qo\'llab bo\'lmaydi hamda bir necha baholovchilar bo\'lganida undan foydalanish tavsiya etilmaydi.';
$string['quickgradingchangessaved'] = 'Bahoga kiritilgan o\'zgartirishlar saqlandi';
$string['quickgradingresult'] = 'Tezkor baholash';
$string['reverttodraft'] = 'Taqdimnomani xomaki holatga qaytarish.';
$string['reverttodraftforstudent'] = 'Quyidagi talaba uchun taqdimnomani xomaki holatga qaytarish: (id={$a->id}, FIO={$a->fullname})';
$string['reverttodraftshort'] = 'Taqdimnomani xomakiga aylantirish.';
$string['reviewed'] = 'Ko\'rib chiqildi';
$string['saveallquickgradingchanges'] = 'Bazrcha tezkor baholash o\'zgartirishlarini saqlash';
$string['savechanges'] = 'O\'zgartirishlarni saqlash';
$string['savenext'] = 'Saqla va keyingisini ko\'rsat';
$string['selectlink'] = 'Tanlash...';
$string['sendlatenotifications'] = 'Kechikkan taqdimnomalar haqida baholovchilarga xabar berish';
$string['sendlatenotifications_help'] = 'Agarda yoqilgan bo\'lsa, talaba topshiriqni kechiktirib taqdim etganida, baholovchilarga (odatda o\'qituvchilar) xabar keladi. Xabar uslublari sozlanishi mumkin.';
$string['sendnotifications'] = 'Baholovchilarni taqdimnomalar haqida xabardor qilish';
$string['sendnotifications_help'] = 'Agarda yoqilgan bo\'lsa, talaba topshiriqni vaqtli, vaqtida va kechiktirib taqdim etganida, baholovchilarga (odatda o\'qituvchilar) xabar keladi. Xabar uslublari sozlanishi mumkin.';
$string['sendsubmissionreceipts'] = 'Talabalarga taqdimnoma qabul qilinganligi to\'g\'risida xabarni yuborish';
$string['sendsubmissionreceipts_help'] = 'Agarda yoqilsa, talabalar topshiriqni har gal muvaffaqiyatli taqdim etganlaridan so\'ng ushbu haqda xabar oladilar';
$string['settings'] = 'Topshiriq o\'rnatishlari';
$string['showrecentsubmissions'] = 'Joriy javoblarni ko\'rsatish';
$string['submission'] = 'Javob';
$string['submissiondrafts'] = 'Taqdim etish tugmasi bosilishini talabalardan talab etish';
$string['submissiondrafts_help'] = 'Agarda yoqilgan bo\'lsa, taqdimnoma tugallanganligini e\'lon qilish uchun talabalar Taqdim etish tugmasini bosishlari zarur bo\'ladi. Bu talabalarga taqdimnomaning xomaki versiyasini tizimda saqlash imkonini beradi. Agarda ushbu o\'rnatish "Yo\'q"dan "Ha"ga o\'zgartirilsa,  talabalar o\'sha taqdimnomalarni taqdim etganlaridan so\'ng ular tugallangan deb hisoblanadi.';
$string['submissionempty'] = 'Hech narsa taqdim etilmagan';
$string['submissionnotready'] = 'Ushbu topshiriq taqdim etish uchun hali tayyor emas:';
$string['submissionplugins'] = 'Taqdimnoma plaginlari';
$string['submissionreceipts'] = '"Taqdimnoma qabul qilindi"ni yuborish';
$string['submissionreceiptsmall'] = 'Siz {$a->assignment} uchun topshiriq taqdimnomangizni taqdim etdingiz';
$string['submissionreceipttext'] = 'Siz \'{$a->assignment}\' uchun
topshiriq taqdimnomangizni taqdim etdingiz

Topshiriq taqdimnomangiz holatini ko\'rishingiz mumkin:

    {$a->url}';
$string['submissions'] = 'Javoblar';
$string['submissionsclosed'] = 'Taqdimnomalar yopildi';
$string['submissionsettings'] = 'Taqdimnoma o\'rnatishlari';
$string['submissionslocked'] = 'Ushbu topshiriq taqdimnomalarni qabul qilmaydi';
$string['submissionslockedshort'] = 'Taqdimnomalarni o\'zgartirish mumkin emas';
$string['submissionsnotgraded'] = 'Baholanmagan taqdimnomalar: {$a}';
$string['submissionstatus'] = 'Taqdimnoma holati';
$string['submissionstatus_'] = 'Taqdimnoma yo\'q';
$string['submissionstatus_draft'] = 'Xomaki (taqdim etilmagan)';
$string['submissionstatus_marked'] = 'Baholandi';
$string['submissionstatus_submitted'] = 'Baholash uchun taqdim etilgan';
$string['submissionstatusheading'] = 'Taqdimnoma holati';
$string['submitaction'] = 'Taqdim etish';
$string['submitassignment'] = 'Topshiriqlarni muvofiqlashtirish';
$string['submitted'] = 'Javoblar va taqrizlar';
$string['submittedearly'] = 'Topshiriq vaqtli taqdim etilgan: {$a}';
$string['submittedlate'] = 'Topshiriq kechiktirib taqdim etilgan: {$a}';
$string['submittedlateshort'] = 'Bag\'arish muddati tugadi {$a} orqaga';
$string['textinstructions'] = 'Topshiriq yo\'riqnomalari';
$string['timemodified'] = 'Oxirgi o\'zgartirish';
$string['timeremaining'] = 'Qolgan vaqt';
$string['unlocksubmissionforstudent'] = 'Talaba (id={$a->id}, FIO={$a->fullname}) uchun taqdimnomalarni taqdim etishni ruxsat berish';
$string['unlocksubmissions'] = 'Taqdimnomalarni blokirovkadan yechish';
$string['updategrade'] = 'Bahoni yangilash';
$string['updatetable'] = 'Jadvalni saqlash va yangilash';
$string['upgradenotimplemented'] = '({$a->type} {$a->subtype}) plaginida yangilash amalga oshmadi';
$string['viewfeedback'] = 'Fikr-mulohazani ko\'rish';
$string['viewfeedbackforuser'] = '{$a} uchun fikr-mulohazani ko\'rish';
$string['viewfullgradingpage'] = 'Fikr-mulohaza bildirish uchun to\'liq baholash sahifasini ochish';
$string['viewgradebook'] = 'Baholar jurnalini ko\'rish';
$string['viewgrading'] = 'Barcha taqdimnomalarni ko\'rish/baholash';
$string['viewgradingformforstudent'] = 'Talaba (id={$a->id}, FIO={$a->fullname}) uchun baholash sahifasini ko\'rish.';
$string['viewownsubmissionform'] = 'O\'ziga tegishli topshiriqni taqdim etish sahifani ko\'rish.';
$string['viewownsubmissionstatus'] = 'O\'ziga tegishli taqdimnoma holati sahifani ko\'rish.';
$string['viewsubmission'] = 'Taqdimnomani ko\'rish';
$string['viewsubmissionforuser'] = '{$a} talaba taqdimnomasini ko\'rish';
$string['viewsubmissiongradingtable'] = 'Taqdimnomani baholash jadvalini ko\'rish.';
