<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_multichoice', language 'uz', version '2.3'.
 *
 * @package     qtype_multichoice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addmorechoiceblanks'] = 'Yana {no} javob(lar) variant(lar)ini qo\'shish';
$string['answerhowmany'] = 'Bir yoki bir nechta javoblar?';
$string['answernumbering'] = 'Tanlov raqamlari';
$string['answernumbering123'] = '1., 2., 3., ...';
$string['answernumberingABCD'] = 'A., B., C., ...';
$string['answernumberingIIII'] = 'I., II., III...';
$string['answernumberingabc'] = 'a., b., c., ...';
$string['answernumberingiii'] = 'i., ii., iii...';
$string['answernumberingnone'] = 'Raqamlash yo\'q';
$string['answersingleno'] = 'Ko\'p tanlovli javoblar ruxsat etiladi';
$string['answersingleyes'] = 'Faqat bitta javob';
$string['choiceno'] = '{$a} Jabob varianti';
$string['choices'] = 'Mavjud tanlovlar';
$string['clozeaid'] = 'Tushurib qoldirilgan so\'zni kiriting';
$string['correctansweris'] = 'Toʻgʻri javob: {$a}';
$string['correctfeedback'] = 'Ixtiyoriy to\'g\'ri javob uchun';
$string['errfractionsaddwrong'] = 'Siz tanlagan ijobiy baholar 100%ga boshqa foiz qo\'shilmaydi.<br />Buni o\'rniga ular {$a}% qo\'shiladi';
$string['errfractionsnomax'] = 'Tanlovlardan biri 100% bo\'lishi lozim, shunda <br/> bu savol uchun to\'liq bahoni olish mumkin bo\'ladi.';
$string['errgradesetanswerblank'] = 'Baholash oʻrnatilgan, ammo javoblar oʻrni boʻsh';
$string['feedback'] = 'Qayta aloqa';
$string['fillouttwochoices'] = 'Siz kamida 2 ta tanlovni to\'ldirishingiz kerak. Bosh qoldirilgan tanlovlar ishlatilmaydi.';
$string['fractionsaddwrong'] = 'Siz tanlagan ijobiy baholar 100%ga boshqa foiz qo\'shilmaydi.<br />Buni o\'rniga ular {$a}% qo\'shiladi<br/> Siz qaytib savolda tuzatishlar qilishni istaysizmi?';
$string['fractionsnomax'] = '<br />Bu savol uchun to\'liq baho olish uchun .<br /> tanlovlardan biri 100% bo\'lishi kerak.
Qaytib bu savolga qayta javob berishni istaysizmi?';
$string['incorrectfeedback'] = 'Ixtiyoriy noto\'g\'ri javob uchun';
$string['notenoughanswers'] = 'Bu savol turi kamida {$a} tanlov talab qiladi';
$string['overallcorrectfeedback'] = 'Ixtiyoriy to\'g\'ri javob uchun javob qaytarish';
$string['overallfeedback'] = 'Bahoga ko\'ra taqriz';
$string['overallincorrectfeedback'] = 'Ixtiyoriy noto\'g\'ri javob uchun javob qaytarish';
$string['overallpartiallycorrectfeedback'] = 'Ixtiyoriy qisman to\'g\'ri javob uchun javob qaytarish';
$string['partiallycorrectfeedback'] = 'Ixtiyoriy qisman to\'g\'ri javob uchun';
$string['pleaseselectananswer'] = 'Iltimos, javobni tanlang.';
$string['pleaseselectatleastoneanswer'] = 'Iltimos, kamida bitta javobni tanlang.';
$string['pluginname'] = 'Koʻp tanlovli savol';
$string['pluginname_link'] = 'question/type/multichoice';
$string['pluginnameadding'] = 'Ko\'p tanlovli savolni qo\'shing';
$string['pluginnameediting'] = 'Ko\'p tanlovli savolni tahrirlash';
$string['selectmulti'] = 'Bir yoki bir nechtasini tanlang:';
$string['selectone'] = 'Birini tanlang:';
$string['shuffleanswers'] = 'Tasodifiy javoblar tartibi';
$string['singleanswer'] = 'Bitta javobni tanlang';
$string['toomanyselected'] = 'Siz juda koʻp tanlovlarni amalga oshirdingiz';
